<script setup lang="ts">
import { usePromotionStore } from '@/stores/promotion';
import { ref } from 'vue';

const promoStore = usePromotionStore()
const types = ref()

function openDialog(){
    if(types.value == 1){
        promoStore.dialog = true
    }if(types.value == 2){
        promoStore.dialogType2 = true 
    }if(types.value == 3){
        promoStore.dialogType3 = true
    }
    
}
</script>
<template>
    <v-dialog v-model="promoStore.dialogType" persistent width="500">
    <v-card>
      <v-card-title>
        <span class="text-h5">Add Promotion</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="refform" v-model="promoStore.form">
          <v-container>
            <v-row>
                <v-col cols="12" md="12">
                    เลือกประเภทของโปรโมชั่นที่ต้องการสร้าง
                </v-col>
                <v-col cols="12" md="12">
                        <v-combobox label="Type" :items="[1,2,3]" v-model="types"></v-combobox>
                </v-col>
                <v-col cols="12" md="12" v-if="types==1" style="text-align: center;">โปรโมชั่นแบบกำหนดจำนวน ถ้าซื้อครบจำนวนจะลดราคาสินค้าทั้งหมด</v-col>
                <v-col cols="12" md="12" v-if="types==2" style="text-align: center;">โปรโมชั่นแบบกำหนดสินค้า(แบบเดี่ยว) เป็นการลดราคาสินค้านั้นลง โดยกำหนดราคาใหม่</v-col>
                <v-col cols="12" md="12" v-if="types==3" style="text-align: center;">โปรโมชั่นแบบกำหนดสินค้าแบบเซ็ท กำหนดสินค้าเซ็ทและราคาเซ็ท</v-col>
            </v-row>
          </v-container>
        </v-form>

      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="promoStore.dialogType = false,types = ''">
        Close
        </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="openDialog(),types = ''">
        Confirm
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>